Kerbal Space Program - Bug #4558

When a kerbal hits his head on the ground in an EAS-1 seat, he turns into a ragdoll and their vehicle
becomes uncontrollable.

04/15/2015 05:38 PM - Labbu

Status: Closed Start date: 04/15/2015
Severity: Low % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.90 Language: English (US)
Platform: Any Mod Related: No
Expansion:

Description

KSP version: v0.90.0.705 Windows 64-bit
What Happens: The kerbal occupying the EAS-1 seat becomes a ragdoll and the vehicle he sits in become uncontrollable.
Mods/Add-ons: Stock only

Steps To Replicate:

1) Build a rover according to the following instructions (building process also shown in attached video:

Place a MK-1 pod*

Attach a 200 |-Beam to the back of the pod*

Attach a docking port to the end of the beam, and another docking port "docked" with the first docking port*

To this second docking port, attach, in order, a structural fuelsage, an FL-r25 RCS tank, another structural fuelsage and at the end a
Z-1k battery*

Attach 2 wheels to each fuelsage using the "Mirror Symmetry" tool*

Attach 8 RCS thruster blocks to the RCS tank using the "Radial Symmetry" tool*

Place an EAS-1 seat on top of one of the fuelsage closest to the docking port*

2) Launch the craft

3) Undock the rover

4) When the rover stops rolling to the edge of the launchpad, perform an EVA

5) Approach the rover from the side and have the kerbal enter the seat

6) Once the kerbal in in the EAS-1, activate the RCS thrusters and hold "H" to thrust off of the side of the launchpad
7) The rover with flip over forwards and the kerbal will hit his head on the ground

Result: The rover is now inoperable, the kerbal has become a ragdoll and is incapable of doing anything

Fixes/Workarounds: None found so far, aside from recovering the vessel (when on Kerbin). | originally encountered this bug on
Minimus, so recovering the vessel was not an option.

Additional Notes:

- .craft file for the demonstration rover included

- Demonstration video can be found here: https://www.youtube.com/watch?v=NOTBRXfzhBQ

- Demonstration of bug on Minimus can be found here: https://www.youtube.com/watch?v=Bly5f5784AA

- When returning to the space center and then going back to the rover, the kerbal temporarily gets his head stuck in the ground.
shortly after, he and the rover get launched into the sky. On Minimus, if the rover manages to land on it's wheels, the kerbal remains
a ragdoll and the rover remains uncontrollable.

- Sometime when trying to replicate this bug the kerbal may get flung out of his seat. If this happens the bug will (obviously) not
occur.

History

#1 - 04/24/2015 09:59 AM - zhollett
- Status changed from New to Confirmed

- % Done changed from 0 to 10

| too have experienced this.
Then when you go to the astronaut building, they are listed as killed.
https://www.youtube.com/watch?v=N0TBRXfzhBQ
https://www.youtube.com/watch?v=Bly5f5784AA

#2 - 06/05/2015 10:41 AM - Windowsfreak

Obviously, the Kerbal broke its neck. Thus, the ragdolling Kerbal is a corpse.
Although | believe that it is a bug, it is actually a nice feature to have a Kerbal be classified as debris, when such thing happens.

#3 - 09/14/2015 10:23 PM - gekko513
- File Skjermbilde 2015-09-15 kl. 00.09.19.png added

| also experienced something similar, except that my kerbal did not turn into a rag doll. My rover tipped over (on Mun) and my kerbal was in the seat
under it. | then started moving and my kerbal became loose from under the rover. As he got loose, the rover also flipped back the right way up, and
control was now on the driverless rover. My kerbal was left standing on the ground, now classified as debris. | can switch to him, but not control him.

#4 - 09/14/2015 10:32 PM - gekko513
- File DebrisKerbal.png added

Oh, and the kerbal is not listed as dead. He's listed as assigned.

Unlike Labbu, | can also switch to the rover and drive it around.

#6 - 07/17/2016 09:38 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#7 - 08/09/2016 01:16 PM - TriggerAu
- Status changed from Needs Clarification to Closed

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For
best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:
http:/forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention

Files

Rover - Ragdoll Bug Demonstration.craft 37.5KB 04/15/2015 Labbu
Skjermbilde 2015-09-15 kl. 00.09.19.png 729 KB 09/14/2015 gekko513
DebrisKerbal.png 346 KB 09/14/2015 gekko513
